<!doctype html>
<!--[if IE 9]><html class="lt-ie10" lang="en" > <![endif]-->
<html class="no-js" lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title>Getting Started With Sass | Foundation Docs</title>
    <link rel="icon" href="assets/img/icons/favicon.ico" type="image/x-icon">
    <!-- For third-generation iPad with high-resolution Retina display: -->
    <link rel="apple-touch-icon-precomposed" sizes="144x144" href="assets/img/icons/apple-touch-icon-144x144-precomposed.png">
    <!-- For iPhone with high-resolution Retina display: -->
    <link rel="apple-touch-icon-precomposed" sizes="114x114" href="assets/img/icons/apple-touch-icon-114x114-precomposed.png">
    <!-- For first- and second-generation iPad: -->
    <link rel="apple-touch-icon-precomposed" sizes="72x72" href="assets/img/icons/apple-touch-icon-72x72-precomposed.png">
    <!-- For non-Retina iPhone, iPod Touch, and Android 2.1+ devices: -->
    <link rel="apple-touch-icon-precomposed" href="assets/img/icons/apple-touch-icon-precomposed.png">

    <meta name="description" content="Documentation and reference library for ZURB Foundation. JavaScript, CSS, components, grid and more.">
    <meta name="author" content="ZURB, inc. ZURB network also includes zurb.com">
    <meta name="copyright" content="ZURB, inc. Copyright (c) 2014">

    <link href='assets/css/docs.css' rel='stylesheet' />
    <script src="assets/js/modernizr.js"></script>
  </head>
  <body class="antialiased hide-extras">
    <div class="marketing off-canvas-wrap" data-offcanvas>
      <div class="inner-wrap">

         <title>Foundation: The Most Advanced Responsive Front-end Framework from ZURB</title><meta name="description" content="Foundation from ZURB is the most advanced responsive front-end framework in the world." />
 

<!-- <nav class="tab-bar show-for-small">
  <a class="off-canvas-left-toggle menu-icon ">
    <span></span>
  </a>  
</nav> -->


<nav class="top-bar docs-bar hide-for-small" data-topbar>
  <ul class="title-area">
    <li class="name">
      <h1><a href="http://foundation.zurb.com/">Foundation</a></h1>
    </li>
  </ul>

  <section class="top-bar-section">
    <ul class="right">
      <li class="divider"></li>
      <li class="has-dropdown">
        <a href="http://foundation.zurb.com/learn/features.html" class="">Learn</a>
        <ul class="dropdown">
          <li><a href="http://foundation.zurb.com/learn/features.html">Features</a></li>
          <li><a href="http://foundation.zurb.com/learn/faq.html">FAQ</a></li>
          <li><a href="http://foundation.zurb.com/learn/case-washington-post.html">Case Studies</a></li>
          <li><a href="http://foundation.zurb.com/learn/website-examples.html">Website Examples</a></li>
          <li><a href="http://foundation.zurb.com/learn/video-started-with-foundation.html">Videos</a></li>
          <li><a href="http://foundation.zurb.com/learn/training.html">Training</a></li>
          <li><a href="http://foundation.zurb.com/learn/about.html">About</a></li>
        </ul>
      </li>
      <li class="divider"></li>
      <li class="has-dropdown">
        <a href="http://foundation.zurb.com/templates.html" class="">Develop</a>
        <ul class="dropdown">
          <li><a href="http://foundation.zurb.com/templates.html">Add-ons</a></li>
          <li><a href="http://foundation.zurb.com/docs">Docs</a></li>
          <li><a href="http://foundation.zurb.com/develop/download.html">Download</a></li>
          <li><a href="http://foundation.zurb.com/develop/contribute.html">Contribute</a></li>
          <li><a href="http://foundation.zurb.com/develop/tools.html">Tools</a></li>
        </ul>
      </li>
      <li class="divider"></li>
      <li class="has-dropdown">
        <a href="http://foundation.zurb.com/support/support.html" class="">Support</a>
        <ul class="dropdown">
          <li><a href="http://foundation.zurb.com/support/support.html">Support Channels</a></li>
          <li><a href="http://foundation.zurb.com/forum">Foundation Forum</a></li>
          <li><a href="http://foundation.zurb.com/support/images-and-badges.html">Images &amp; Badges</a></li>
        </ul>
      </li>
      <li class="divider"></li>
      <li>
        <a href="http://foundation.zurb.com/business/services.html" class="">Business</a>
      </li>
      <li class="divider"></li>
      <li>
        <a href="http://foundation.zurb.com/docs" class="">Docs</a>
      </li>
      <li class="divider"></li>
      <li class="has-form">
        <a href="http://foundation.zurb.com/docs" class="small button">Getting Started</a>
    </ul>
  </section>
</nav>
        <nav class="tab-bar show-for-small">
  <a class="left-off-canvas-toggle menu-icon">
    <span>Foundation</span>
  </a>
</nav>

<aside class="marketing-left-off-canvas-menu">

  <ul class="off-canvas-list">
    <li><label class="first">Foundation</label></li>
    <li><a href="http://foundation.zurb.com">Home</a></li>
  </ul>

  <hr>

  <ul class="off-canvas-list">
      <li><label>Setup</label></li>

      <li><a href="index.html" data-search="">Getting Started</a></li>
      <li><a href="css.html" data-search="Styles">CSS</a></li>
      <li><a href="sass.html" data-search="SCSS">Sass</a></li>
      <li><a href="applications.html" data-search="Rails,Gem">Applications</a></li>
      <li><a href="javascript.html" data-search="">Javascript</a></li>
      <li><a href="components/global.html" data-search="Global Styles,Global Mixins,Global Variables,Useful HTML Classes">Global Styles</a></li>
      <li><a href="components/kitchen_sink.html" data-search="">Kitchen Sink</a></li>
      <li><a href="upgrading.html" data-search="Migration">Upgrading</a></li>

      <li class="divider"></li>
      <li><label>Structure</label></li>
      <li><a href="media-queries.html" data-search="Breakpoints">Media Queries</a></li>
      <li><a href="components/visibility.html" data-search="">Visibility</a></li>
      <li><a href="components/grid.html" data-search="">Grid</a></li>
      <li><a href="components/block_grid.html" data-search="">Block Grid</a></li>
      <li><a href="components/interchange.html" data-search="Responsive Images">Interchange Responsive Content <span class="label">JS</span></a></li>
      <li><a href="utility-classes.html" data-search="">Utility Classes</a></li>
      <li><a href="javascript-utilities.html" data-search="">Javascript Utilities</a></li>
      <li><a href="components/rtl.html" data-search="RTL">Right-to-Left Support</a></li>

      <li class="divider"></li>
      <li><label>Navigation</label></li>
      <li><a href="components/offcanvas.html" data-search="Off Canvas">Offcanvas <span class="label">JS</span></a></li>
      <li><a href="components/topbar.html" data-search="Nav Bar,Navigation,Sticky">Top Bar <span class="label">JS</span></a></li>
      <li><a href="components/icon-bar.html" data-search="">Icon Bar</a></li>
      <li><a href="components/sidenav.html" data-search="">Side Nav</a></li>
      <li><a href="components/magellan.html" data-search="Scrollspy">Magellan Sticky Nav <span class="label">JS</span></a></li>
      <li><a href="components/subnav.html" data-search="">Sub Nav</a></li>
      <li><a href="components/breadcrumbs.html" data-search="Navigation Path,Cookie Crumb">Breadcrumbs</a></li>
      <li><a href="components/pagination.html" data-search="">Pagination</a></li>

      <li class="divider"></li>
      <li><label>Media</label></li>
      <li><a href="components/orbit.html" data-search="Carousel,Slider,Slideshow">Orbit Slider <span class="label">JS</span></a></li>
      <li><a href="components/thumbnails.html" data-search="Images">Thumbnails</a></li>
      <li><a href="components/clearing.html" data-search="Responsive Lightbox,Lightbox">Clearing Lightbox <span class="label">JS</span></a></li>
      <li><a href="components/flex_video.html" data-search="Responsive Video">Flex Video</a></li>

      <li class="divider"></li>
      <li><label>Forms</label></li>
      <li><a href="components/forms.html" data-search="">Forms</a></li>
      <li><a href="components/switch.html" data-search="">Switches</a></li>
      <li><a href="components/range_slider.html" data-search="Range Slider">Sliders <span class="label">JS</span></a></li>
      <li><a href="components/abide.html" data-search="Form Validation,Field Validation">Abide Validation <span class="label">JS</span></a></li>

      <li class="divider"></li>
      <li><label>Buttons</label></li>
      <li><a href="components/buttons.html" data-search="">Buttons</a></li>
      <li><a href="components/button_groups.html" data-search="Button Bar">Button Groups</a></li>
      <li><a href="components/split_buttons.html" data-search="">Split Buttons <span class="label">JS</span></a></li>
      <li><a href="components/dropdown_buttons.html" data-search="">Dropdown Buttons <span class="label">JS</span></a></li>

      <li class="divider"></li>
      <li><label>Typography</label></li>
      <li><a href="components/typography.html" data-search="Typography,Type-setting,Composition">Type</a></li>
      <li><a href="components/inline_lists.html" data-search="Lists">Inline Lists</a></li>
      <li><a href="components/labels.html" data-search="Tags">Labels</a></li>
      <li><a href="components/keystrokes.html" data-search="">Keystrokes</a></li>

      <li class="divider"></li>
      <li class="heading"><label>Callouts &amp; Prompts</label></li>
      <li><a href="components/reveal.html" data-search="Modal">Reveal Modal <span class="label">JS</span></a></li>
      <li><a href="components/alert_boxes.html" data-search="Error,Success,Warning">Alerts <span class="label">JS</span></a></li>
      <li><a href="components/panels.html" data-search="Wells">Panels</a></li>
      <li><a href="components/tooltips.html" data-search="Popover">Tooltips <span class="label">JS</span></a></li>
      <li><a href="components/joyride.html" data-search="Tooltip Tour,Guider,Tooltip Walk-through">Joyride <span class="label">JS</span></a></li>

      <li class="divider"></li>
      <li><label>Content</label></li>
      <li><a href="components/dropdown.html" data-search="">Dropdowns <span class="label">JS</span></a></li>
      <li><a href="components/pricing_tables.html" data-search="">Pricing Tables</a></li>
      <li><a href="components/progress_bars.html" data-search="">Progress Bars</a></li>
      <li><a href="components/tables.html" data-search="">Tables</a></li>
      <li><a href="components/accordion.html" data-search="">Accordion <span class="label">JS</span></a></li>
      <li><a href="components/tabs.html" data-search="">Tabs <span class="label">JS</span></a></li>
      <li><a href="components/equalizer.html" data-search="">Equalizer <span class="label">JS</span></a></li>

      <li class="divider"></li>
      <li><label>Support</label></li>

      <li><a href="changelog.html" data-search="">Changelog</a></li>
      <li><a href="compatibility.html" data-search="">Compatibility</a></li>

      <li class="divider"></li>
      <li class="heading"><label>Older Docs</label></li>
      <li><a href="/docs/v/4.3.2/" data-search="">Foundation 4</a></li>
      <li><a href="/docs/v/3.2.5/" data-search="">Foundation 3</a></li>
      <li><a href="/docs/v/2.2.1/" data-search="">Foundation 2</a></li>
    </ul>

    <hr>

    <div class="zurb-links">
    <ul class="top">
      <li class="logo"><a href="http://zurb.com"></a></li>
      <li><a href="http://zurb.com/about">About</a></li>
      <li><a href="http://zurb.com/blog">Blog</a></li>
      <li><a href="http://zurb.com/contact">Contact</a></li>
    </ul>
    <ul class="pillars">
      <li>
        <a href="http://www.zurb.com/studios" class="footer-link-block services">
          <span class="title">Studios</span>
          <span>Helping startups win since '98.</span>
        </a>
      </li>
      <li>
        <a href="http://foundation.zurb.com/" class="footer-link-block foundation">
          <span class="title">Foundation</span>
          <span>World's most advanced responsive framework.</span>
        </a>
      </li>
      <li>
        <a href="http://zurb.com/apps" class="footer-link-block apps">
          <span class="title">Design Apps</span>
          <span>Tools to rapidly prototype and iterate.</span>
        </a>
      </li>
      <li>
        <a href="http://zurb.com/university" class="footer-link-block expo">
          <span class="title">University</span>
          <span>Online training for smarter product design.</span>
        </a>
      </li>
    </ul>
</div>

  </ul>
</aside>

<a class="exit-off-canvas" href="#"></a>


        <section role="main" class="scroll-container">

          <div class="row">
            <div class="large-3 medium-4 columns">
              <div class="hide-for-small">
                <div class="sidebar">
  <h5>Foundation Documentation</h5>
  <form>
    <!--  <label>Search Documentation</label> -->
    <input tabindex="1" id="autocomplete" type="search" placeholder="Search Docs: e.g. forms">
  </form>

  <nav>
    <ul class="side-nav">
      <li class="heading">Setup</li>

      <li><a href="index.html" data-search="">Getting Started</a></li>
      <li><a href="css.html" data-search="Styles">CSS</a></li>
      <li><a href="sass.html" data-search="Sass">Sass</a></li>
      <li><a href="applications.html" data-search="Rails,Gem">Applications</a></li>
      <li><a href="javascript.html" data-search="">JavaScript</a></li>
      <li><a href="components/global.html" data-search="Global Styles,Global Mixins,Global Variables,Useful HTML Classes">Global Styles</a></li>
      <li><a href="components/kitchen_sink.html" data-search="">Kitchen Sink</a></li>
      <li><a href="upgrading.html" data-search="Migration">Upgrading</a></li>

      <li class="divider"></li>
      <li class="heading">Structure</li>
      <li><a href="media-queries.html" data-search="Breakpoints">Media Queries</a></li>
      <li><a href="components/visibility.html" data-search="">Visibility</a></li>
      <li><a href="components/grid.html" data-search="">Grid</a></li>
      <li><a href="components/block_grid.html" data-search="">Block Grid</a></li>
      <li><a href="components/interchange.html" data-search="Responsive Images">Interchange Responsive Content <span class="label">JS</span></a></li>
      <li><a href="utility-classes.html" data-search="">Utility Classes</a></li>
      <li><a href="javascript-utilities.html" data-search="">Javascript Utilities</a></li>
      <li><a href="components/rtl.html" data-search="RTL">Right-to-Left Support</a></li>

      <li class="divider"></li>
      <li class="heading">Navigation</li>
      <li><a href="components/offcanvas.html" data-search="Off Canvas">Offcanvas <span class="label">JS</span></a></li>
      <li><a href="components/topbar.html" data-search="Nav Bar,Navigation,Sticky">Top Bar <span class="label">JS</span></a></li>
      <li><a href="components/icon-bar.html" data-search="">Icon Bar</a></li>
      <li><a href="components/sidenav.html" data-search="">Side Nav</a></li>
      <li><a href="components/magellan.html" data-search="Scrollspy">Magellan Sticky Nav <span class="label">JS</span></a></li>
      <li><a href="components/subnav.html" data-search="">Sub Nav</a></li>
      <li><a href="components/breadcrumbs.html" data-search="Navigation Path,Cookie Crumb">Breadcrumbs</a></li>
      <li><a href="components/pagination.html" data-search="">Pagination</a></li>

      <li class="divider"></li>
      <li class="heading">Media</li>
      <li><a href="components/orbit.html" data-search="Carousel,Slider,Slideshow">Orbit Slider <span class="label">JS</span></a></li>
      <li><a href="components/thumbnails.html" data-search="Images">Thumbnails</a></li>
      <li><a href="components/clearing.html" data-search="Responsive Lightbox,Lightbox">Clearing Lightbox <span class="label">JS</span></a></li>
      <li><a href="components/flex_video.html" data-search="Responsive Video">Flex Video</a></li>

      <li class="divider"></li>
      <li class="heading">Forms</li>
      <li><a href="components/forms.html" data-search="">Forms</a></li>
      <li><a href="components/switch.html" data-search="">Switches</a></li>
      <li><a href="components/range_slider.html" data-search="Range Slider">Range Sliders <span class="label">JS</span></a></li>
      <li><a href="components/abide.html" data-search="Form Validation,Field Validation">Abide Validation <span class="label">JS</span></a></li>

      <li class="divider"></li>
      <li class="heading">Buttons</li>
      <li><a href="components/buttons.html" data-search="">Buttons</a></li>
      <li><a href="components/button_groups.html" data-search="Button Bar">Button Groups</a></li>
      <li><a href="components/split_buttons.html" data-search="">Split Buttons <span class="label">JS</span></a></li>
      <li><a href="components/dropdown_buttons.html" data-search="">Dropdown Buttons <span class="label">JS</span></a></li>

      <li class="divider"></li>
      <li class="heading">Typography</li>
      <li><a href="components/typography.html" data-search="Typography,Type-setting,Composition">Type</a></li>
      <li><a href="components/inline_lists.html" data-search="Lists">Inline Lists</a></li>
      <li><a href="components/labels.html" data-search="Tags">Labels</a></li>
      <li><a href="components/keystrokes.html" data-search="">Keystrokes</a></li>

      <li class="divider"></li>
      <li class="heading">Callouts &amp; Prompts</li>
      <li><a href="components/reveal.html" data-search="Modal">Reveal Modal <span class="label">JS</span></a></li>
      <li><a href="components/alert_boxes.html" data-search="Error,Success,Warning">Alerts <span class="label">JS</span></a></li>
      <li><a href="components/panels.html" data-search="Wells">Panels</a></li>
      <li><a href="components/tooltips.html" data-search="Popover">Tooltips <span class="label">JS</span></a></li>
      <li><a href="components/joyride.html" data-search="Tooltip Tour,Guider,Tooltip Walk-through">Joyride <span class="label">JS</span></a></li>

      <li class="divider"></li>
      <li class="heading">Content</li>
      <li><a href="components/dropdown.html" data-search="">Dropdowns <span class="label">JS</span></a></li>
      <li><a href="components/pricing_tables.html" data-search="">Pricing Tables</a></li>
      <li><a href="components/progress_bars.html" data-search="">Progress Bars</a></li>
      <li><a href="components/tables.html" data-search="">Tables</a></li>
      <li><a href="components/accordion.html" data-search="">Accordion <span class="label">JS</span></a></li>
      <li><a href="components/tabs.html" data-search="">Tabs <span class="label">JS</span></a></li>
      <li><a href="components/equalizer.html" data-search="">Equalizer <span class="label">JS</span></a></li>

      <li class="divider"></li>
      <li class="heading">Support</li>

      <li><a href="changelog.html" data-search="">Changelog</a></li>
      <li><a href="compatibility.html" data-search="">Compatibility</a></li>

      <li class="divider"></li>
      <li class="heading">Older Docs</li>
      <li><a href="/docs/v/4.3.2/" data-search="">Foundation 4</a></li>
      <li><a href="/docs/v/3.2.5/" data-search="">Foundation 3</a></li>
      <li><a href="/docs/v/2.2.1/" data-search="">Foundation 2</a></li>

    </ul>
  </nav>

  <a href="/develop/download.html" class="download button expand">Download Foundation</a>

  <section id="jobs">
    <h5>Get a job, nerd!</h5>
    <script type="text/javascript" src="http://www.zurb.com/jobs/widgets/jobs.js?limit=3"></script>
    <p class="via">via <a href="http://www.zurb.com/jobs">Job Board from ZURB</a></p>
  </section>

</div>
              </div>
            </div>
            <div class="large-9 medium-8 columns">
              <h1 id="getting-started-with-sass">Getting Started With Sass</h1>
              <h3 class="subheader">Sass is the easiest way to customize Foundation! </h3>

<hr>

<!--
Magellan
-->
<div class="row">
  <div class="small-12 columns">
    <h2>Three Easy Ways to Get Started</h2>
    <h3 class="subheader">Setting up Foundation 5 Sass is quick and easy!</h3>
    <p class="above-magellan">We recommend using the Command Line Interface. We&#39;ve perfected the command line for quick and easy power, but you can use Foundation with just the files or other applications, like Mixture or CodeKit.</p>
    <div data-magellan-expedition="fixed" data-options="sticky_on:large">
      <dl class="sub-nav">
        <dd data-magellan-arrival="cli"><a href="#cli">Recommend Install</a></dd>
        <dd data-magellan-arrival="nocli"><a href="#nocli">Manual Download</a></dd>
        <dd data-magellan-arrival="other"><a href="#other">Third Party Application</a></dd>
      </dl>
    </div>
  </div>
</div>

<br>

<div class="row">
  <div class="small-12 columns recommended">
    <h2 data-magellan-destination="cli"><a name="cli"></a>Recommended Install for Foundation</h2>
  </div>
</div>

<div class="row recommended">
  <div class="medium-12 large-6 large-push-6 columns">
   <img class="command-line" data-interchange="[assets/img/images/faster-to-code-medium.svg, (medium)], [assets/img/images/faster-to-code.svg, (large)]"><br>  </div>
  <div class="medium-12 large-6 large-pull-6 columns">
    <p>Using this Command Line Interface will make updating a Foundation project super easy and help speed up your workflow. The CLI updates your project while leaving your customized styles in tact. We recommend this method since the CLI does many tasks for you.</p>
  </div> 
</div>

<hr class="dashed">

<!--
Ruby/Git/Node
-->

<div class="row">
  <div class="small-12 columns">
    <h3>What You&#39;ll Need</h3>
    <h3 class="subheader">You&#39;ll want to install the following on your system before proceeding:</h3>
  </div>
</div>

<div class="row you-will-need">
  <div class="medium-4 columns">
    <img src="assets/img/images/git1.svg" >
    <h4>Git</h4>
    <p>Git is GitHub&#39;s version control system, and basically commands the tools you&#39;ll use in the command line to work within GitHub.</p>
    <p><a href="http://git-scm.com/">Download Git →</a></p>
  </div>

  <div class="medium-4 columns">
    <img src="assets/img/images/node1.svg">
    <h4>NodeJS</h4>
    <p>Node allows JavaScript to run outside of the browser, and is necessary for Bower to package all the files into the project and link them together.</p>
    <p><a href="http://nodejs.org/">Download NodeJS →</a></p>
  </div>

  <div class="medium-4 columns">
    <img src="assets/img/images/ruby1.svg">
    <h4>Ruby 1.9+</h4>
    <p>We wrote a Ruby script that downloads the Sass files and scaffolds the project. If you have a Mac, you probably already have Ruby installed.</p>
    <p><a href="https://www.ruby-lang.org/en/">Download Ruby →</a></p>
  </div>
</div>

<hr class="dashed">

<!--
How to Install
-->

<div class="row">
  <div class="small-12 path-container columns">
    <h3>How to Install the CLI</h3>
    <p class="subheader">Using the CLI to install Foundation 5 only takes two easy commands. You only have to install the CLI once. Don&#39;t want to read? <a href="http://foundation.zurb.com/learn/video-started-with-foundation.html">Check out this video we made to help you out.</a></p>
    <br>
    <div class="path-item"> 
      <div class="circlenumber">
        <h3>1</h3>
      </div>
      <p>We use Bower to manage updates to Foundation and the third-party libraries that Foundation is built on.</p>
      <p class="panel">npm install -g bower grunt-cli</p>
    </div>
    <div class="path-item">
      <div class="circlenumber">
        <h3>2</h3>
      </div>
      <p>Installing the Foundation CLI on your computer only takes one command function.</p>
      <p class="panel">gem install foundation</p><br>      <p class="subheader note"><strong>Note:</strong> If you run into permission errors running these commands in the CLI, you can add the word &#39;sudo&#39; before the line inside the interface:</p>
      <p class="panel">sudo npm install -g bower grunt-cli <br> sudo gem install foundation</p><br>    </div>
  </div>
</div>

<hr class="dashed">

<!--
Compass/Libsass
-->

<div class="row">
  <div class="small-12 columns">
    <h3>Compiling Sass into CSS &amp;- Creating a Project</h3>
    <h3 class="subheader">Sass is a great way to speed up front-end development. </h3>
    <p>SCSS (Sassy CSS) syntax was introduced as &quot;the new main syntax&quot; for Sass and builds on the existing syntax of CSS. We created a SCSS version to allow more friendly and dynamic styling. This version also allows for greater customization than the HTML/CSS version. There are two easy ways our CLI helps you compile SCSS: Compass or Libsass with Grunt.</p>
    <img class="flow-chart" data-interchange="[assets/img/images/scssflow-small.svg, (small)], [assets/img/images/scssflow-med.svg, (medium)], [assets/img/images/scssflow.svg, (large)]"><br>  </div>
</div>

<div class="row">
  <div class="large-5 columns path-container two-column">
    <div class="path-item">
      <h4>Creating a Compass Project</h4>
      <div class="circlenumber">
        <h3>1</h3>
      </div>If it&#39;s not installed yet, you can install it using the following command:</p>
      <p class="panel">gem install compass</p>
    </div>
    <div class="path-item">
      <div class="circlenumber">
       <h3>2</h3>
      </div>
      <p>Next we&#39;ll use the Foundation CLI to create a new project:</p>
      <p class="panel">foundation new MY_PROJECT</p>
    </div>
    <div class="path-item">
      <div class="circlenumber">
        <h3>3</h3>
      </div>
      <p>Boom, your project is created! Now Foundation will be easy.</p>
      <p class="panel">cd MY_PROJECT<br>foundation update</p>
    </div>
    <div class="path-item">
      <div class="circlenumber">
        <h3>4</h3>
      </div>
      <p>Be sure to run compass watch in order to make changes.</p>
      <p class="panel">compass watch</p>
    </div>
  </div>

  <div class="large-5 large-pull-1 columns path-container two-column">
    <div class="path-item">
    <h4>Creating a Libsass Project</h4>
      <div class="circlenumber">
        <h3>1</h3>
      </div>
      <p>First, navigate into the directory where you want to create your project:</p>
      <p class="panel">cd path/to/sites</p>
    </div>
    <div class="path-item">
      <div class="circlenumber">
        <h3>2</h3>
      </div>
      <p>Next we&#39;ll use the Foundation CLI to create a new project:</p>
      <p class="panel">foundation new project_name --libsass</p>
    </div>
    <div class="path-item">
      <div class="circlenumber">
        <h3>3</h3>
      </div>
      <p>Boom, your project is created! Now you need to use Grunt to compile everything before you start working:</p>
      <p class="panel"> cd project_name<br>grunt build</p>
    </div>
    <div class="path-item">
      <div class="circlenumber">
        <h3>4</h3>
      </div>
      <p>Be sure to run grunt in order to make changes.</p>
      <p class="panel">grunt watch</p>
    </div>
  </div>
</div>

<!-- <div class="row">
  <div class="small-12 columns two-column">
    <p class="subheader"><a href="http://foundation.zurb.com/docs/upgrading.html">Check out what you get with the Sass download package. →</a></p>
  </div>
</div> -->


<hr class="dashed">


<!---================================= 
How to Update 
=================================-->

<div class="row">
  <div class="small-12 columns path-container">
    <h3>How to Update</h3>
    <p class="subheader">Once you have Foundation installed updating your file is easy.</p>
    <br>
    <div class="path-item">
      <div class="circlenumber">
        <h3>1</h3>
      </div>
      <p>Specify the version you want to update to in your bower.json file.</p>
      <p><a href="http://zurb.us/1kl96mM ">See an example →</a></p> </p>
    </div>
    <div class="path-item">
      <div class="circlenumber">
        <h3>2</h3>
      </div>
      <p>To update, &#39;cd&#39; into the project folder in the CLI and the run &#39;bower update.&#39;</p>
      <p class="panel">bower update</p>
      <p class="subheader note"><strong>Note:</strong> To verify the update has been made, you can see the version number in the bower.json file located in the bower-components folder under foundation.</p>
      <p><a href="http://zurb.us/1klal5c">See an example →</a></p> 
    </div>
  </div>
</div>

<hr>

<!--=================================

Manually

=================================-->

<div class="row">
  <div class="small-12 columns nocli">
    <h2 data-magellan-destination="nocli"><a name="nocli"></a>Install Foundation Manually</h2>
    <h3 class="subheader">You can download our SCSS files and get set up to harness the power of Foundation without the CLI if you want. Here&#39;s how:</h3>
    <ul>
      <li>First you will need to clone or download the <a href="https://github.com/zurb/foundation/archive/master.zip">master zip of the Foundation Compass Template</a> from Github. This will be the root of your project.</li>
      <li>Then you will create a directory called bower_components.</li>
      <li>The next step is to clone or download the master zip of the <a href="https://github.com/zurb/bower-foundation">bower-foundation</a> repo in that directory.</li>
      <li>Then rename this directory to &quot;foundation&quot;</li>
    </ul>
    <p class="subheader note"><strong>Note:</strong> Alternatively you can place this somewhere else or move the files around.</p>
    <ul>
      <li>Just update your config.rb so that the add_import_path reflects the change i.e. add_import_path &quot;bower_components/foundation/scss&quot;</li>
      <li>Then add jQuery and update the link in index.html to a local copy that you can download from the jQuery site.</li>
    </ul>
  </div>
</div>

<hr class="dashed">

<!--================================= 
Upgrade Manually
 =================================-->

<div class="row">
  <div class="small-12 path-container columns">
    <h3>Upgrade Manually With Compass</h3>
    <p>You&#39;ll need to install <a href="http://nodejs.org/">NodeJS</a> and <a href="http://bower.io/">Bower</a> before updating with Compass.</p>
    <p class="subheader note">Note: You can install bower by running the following command:</p>
    <p class="panel">npm install -g bower</p>
    <p>We use bower to keep Foundation assets up to date within your project. Here&#39;s how you can update your project:</p>
    <br>
    <div class="row path-item">
      <div class="circlenumber">
        <h3>1</h3>
      </div>
      <p>First, you need create a file named bower.json in the root of your Compass project. This should contain the following:</p>
      <p class="panel">{<br>&nbsp; &nbsp; &quot;name&quot;: &quot;PROJECT_NAME&quot;,<br>&nbsp; &nbsp; &quot;dependencies&quot;: {<br>&nbsp;  &nbsp; &nbsp; &nbsp;&quot;foundation&quot;: &quot;~5.1.0&quot;<br>&nbsp; &nbsp;  }<br>}
    </div>
    <div class="row path-item">
      <div class="circlenumber">
        <h3>2</h3>
      </div>
      <p>Next you will run bower install.</p> 
      <p class="panel">bower install</p>
      <p>This will create a directory called bower_components/ in your project. Foundation&#39;s Sass and JavaScript files will be placed in the bower_components/foundation folder.</p>
    </div>
<!--     <p><a href="http://foundation.zurb.com/docs/upgrading.html">Check out what you get with the Sass download package. →</a></p>
 -->  </div>
</div>

<hr>

<!--==================================================================
Other Applications
-->

<div class="row otherapps">
  <div class="small-12 columns">
    <h2 data-magellan-destination="other"><a name="other"></a>Third Party Applications</h2>
    <h3 class="subheader">If you want a more hands-off and simple build of Foundation you can use these platforms to code with Foundation.</h3>
  </div>
</div>
<br>
<div class="row other-uses">
  <div class="medium-4 columns">
    <img src="assets/img/images/mixture_yeti.svg" />
  </div>
  <div class="medium-8 column">
     <h3>Mixture</h3>
     <h3 class="subheader">Get started quickly and build faster with Foundation using Mixture.io.</h3>
     <p>Publish your project online. It’s as easy as one click. Share your published URL, password protect, get feedback, client sign-off or even add your own domain and host your site.</p>
     <a href="http://mixture.io/" class="button" target="blank">Learn More</a>
  </div>
</div>

<hr class="dashed">

<div class="row other-uses">
  <div class="medium-4 columns">
    <img src="assets/img/images/codekit.png" class="others"/>
  </div>
  <div class="medium-8 columns">
  <h3>CodeKit</h3>
    <h3 class="subheader">A Mac app that allows you to build websites faster with Foundation.</h3>
    <p>With zero setup and Bower built right into the system, CodeKit can compile any language with one click updates. From auto-refresh browsers to built-in minifiers, CodeKit has everything inside to help you get started.</p>
    <a href="https://incident57.com/codekit/index.html" class="button" target="blank">Learn More</a>
  </div>
</div>

<hr class="dashed">

<div class="row other-uses">
  <div class="medium-4 columns small-only-text-center">
    <img src="assets/img/images/cactus.jpg" class="others"/>
  </div>
  <div class="medium-8 columns">
    <h3>Cactus</h3>
    <h3 class="subheader">Build your websites locally with the ease and flexibility of Foundation.</h3>
    <p>Using Cactus allows you to put the components of your website together with your local server without having to set up a server environment like Ruby. You can use it on your Mac to compile your SASS, start building templates, or for directing visual feedback.</p>
    <a href="http://cactusformac.com/" class="button " target="blank">Learn More</a>
  </div>
</div>



<!--
What You Get
**IMPORTANT**
Need to uncomment the *checkout* hyperlinks above
-->

<!-- 
<hr>

<div class="row">
  <div class="small-12 columns">
    <h3>What's Next?</h3>
    <h3 class="subheader">We've provided some more resources to get your project started after you've downloaded everything.</h3>
  </div>
</div>

<div class="row you-will-need">
  <div class="medium-4 columns">
    <img src="assets/img/images/whatyouget.svg">
    <h4>What You Get</h4>
    <p>The complete package! Here we will show you all the files and components that you get when you download our Sass package.</p>
    <p><a href="http://foundation.zurb.com/docs/sass.html">See What's Inside →</a></p>
  </div>
  <div class="medium-4 columns">
    <img src="assets/img/images/howtouse.svg">
    <h4>How to Use</h4>
    <p>Harness SCSS's variable features easily through the included _settings.scss file. Making a change is as easy as uncommenting and the setting and changing the variable.</p>
    <p><a href="http://foundation.zurb.com/docs/sass.html">Find Out How →</a></p>
  </div>
  <div class="medium-4 columns">
    <img src="assets/img/images/globalstyles.svg">
    <h4>Global Styles</h4>
    <p>Every Foundation project needs to include these global styles in order to work properly. These include things like basic formatting and global utility classes.</p>
    <p><a href="http://foundation.zurb.com/docs/components/global.html">Take a Look →</a></p>
  </div>
</div> -->


            </div>
          </div>
          <section id="courses-banner-large">
  <div class="row">
    <div class="large-5 medium-5 columns banner-image">
      <img src="http://foundation.zurb.com/assets/img/responsive-banner-main.svg" alt="responsive design">
    </div>
    <div class="large-7 medium-7 columns banner-info">
      <h3>Get a running start with Foundation</h3>
      <p>Learn the fundamentals of the world's most advanced responsive framework in our <strong>Intro to Foundation class.</strong> You'll learn from the creators themselves on how to use Foundation and jumpstart your next project. <a href="http://zurb.com/university/courses" class="inline-hide">Learn more about classes »</a></p>
      <a href="http://zurb.com/university/foundation-intro?utm_source=Foundation%20Docs&utm_medium=Large%20Banner&utm_campaign=Intro%20to%20Foundation" class="button">Learn More</a>
      <a href="http://zurb.com/university/courses" class="learn-more hide-for-medium-up">Learn more about classes »</a>
    </div>
  </div>
</section>
          <div id="newsletter">
  <div class="row">
    <div class="medium-8 columns">
      <h5>Stay on top of what&rsquo;s happening in <a href="http://zurb.com/responsive">responsive design</a>.</h5>
      <p>Sign up to receive monthly Responsive Reading highlights. <a href="http://zurb.com/responsive/reading">Read Last Month's Edition &raquo;</a></p>
    </div>
    <div class="medium-4 columns">
      <form method="post" action="http://zurb.com/responsive/subscribe">
        <div class="row collapse margintop-20px">
          <div class="small-8 medium-8 columns">
            <input type="text" name="email" placeholder="signup@example.com">
          </div>
          <div class="small-4 medium-4 columns">
            <input type="submit" href="#" class="postfix small button expand" value="Sign Up">
          </div>
        </div>
      </form>
    </div>
  </div>
</div>


<div class="zurb-footer-top bg-fblue">
  <div class="row property">
    <div class="medium-4 columns">
      <div class="property-info">
        <h3>Foundation</h3>
        <p>Foundation is made by <a href="http://zurb.com">ZURB, a product design</a> company in Campbell, California. We've put more than 15 years of experience building web products, services and websites into this framework.
        </p>
      </div>
    </div>

    <div class="medium-8 columns">
      <div class="row collapse">
        <div class="medium-4 columns">
          <div class="learn-links">
            <h4 class="hide-for-small">Want more?</h4>
            <ul>
              <li><a href="http://foundation.zurb.com/business/services.html">Foundation Business</a></li>
              <li><a href="http://zurb.com/responsive">Responsive</a></li>
              <li><a href="http://zurb.com/apps">Design Apps</a></li>
              <li><a href="http://foundation.zurb.com/learn/training.html">Foundation Training</a></li>
            </ul>
          </div>
        </div>
          <div class="medium-4 columns">
            <div class="support-links">
              <h4 class="hide-for-small">Talk to us</h4>
              <p>Tweet us at <br> <a href="https://twitter.com/foundationzurb">@foundationzurb</a></p>
              <p>Email us at <br> <a href="mailto:foundation@zurb.com">foundation@zurb.com</a><br> or check our <a href="../support/support.html">support page</a></p>
            </div>
          </div>
        <div class="medium-4 columns">
          <div class="connect-links">
            <h4 class="hide-for-small">Stay in touch</h4>
            <p>Keep up with the latest on Foundation. Find us on <a href="https://github.com/zurb/foundation">Github</a>.</p>
            <a href="http://zurb.com/news" class="small button">Stay Connected</a>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="row global">
    <div class="medium-3 small-6 columns">
      <a href="http://zurb.com/studios" class="footer-link-block services">
        <span class="title">Studios</span>
        <span>Helping more than 200 startups succeed since 1998.</span>
      </a>
    </div>
    <div class="medium-3 small-6 columns">
      <a href="http://foundation.zurb.com/" class="footer-link-block foundation">
        <span class="title">Foundation</span>
        <span>The most advanced front-end framework in the world.</span>
      </a>
    </div>
    <div class="medium-3 small-6 columns">
      <a href="http://zurb.com/apps" class="footer-link-block apps">
        <span class="title">Design Apps</span>
        <span>Prototype, iterate and collect feedback on your products.</span>
      </a>
    </div>
    <div class="medium-3 small-6 columns">
      <a href="http://zurb.com/university" class="footer-link-block expo">
        <span class="title">University</span>
        <span>Ideas, thoughts and design resources shared with you.</span>
      </a>
    </div>
  </div>
</div>

<div class="zurb-footer-bottom">
  <div class="row">
    <div class="medium-4 medium-4 push-8 columns">
      <ul class="home-social">
          <li><a href="http://www.twitter.com/ZURB" class="twitter"></a></li>
          <li><a href="http://www.facebook.com/ZURB" class="facebook"></a></li>
          <li><a href="http://zurb.com/contact" class="mail"></a></li>
        </ul>
     </div>
     <div class="medium-8 medium-8 pull-4 columns">
        <a href="http://www.zurb.com" class="zurb-logo regular"></a>
        <ul class="zurb-links">
          <li><a href="http://zurb.com/about">About</a></li>
          <li><a href="http://zurb.com/blog">Blog</a></li>
          <li><a href="http://zurb.com/news">News<span class="show-for-medium-up"> &amp; Events</span></a></li>
          <li><a href="http://zurb.com/contact">Contact</a></li>
          <li><a href="http://zurb.com/sitemap">Sitemap</a></li>
       </ul>
       <p class="copyright">&copy; 1998&dash;2014 ZURB, Inc. All rights reserved.</p>
    </div>
  </div>
</div>

        </section>

      </div>
    </div>

    <script src="assets/js/templates.js"></script>
    <script src="assets/js/all.js"></script>
    <script>
      var _gaq = _gaq || [];
      _gaq.push(
        ['_setAccount', 'UA-2195009-2'],
        ['_trackPageview'],
        ['b._setAccount', 'UA-2195009-27'],
        ['b._trackPageview']
      );

      (function() {
        var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
        ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
        var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
      })();
    </script>
    <script>
      $(document).foundation().foundation('joyride', 'start');
    </script>
  </body>
</html>
